Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pykde4-4.2.85 fails to emerge --> no kdebindings-4.2.85 ???
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gqman69
n00b
n00b


Joined: 11 Jul 2007
Posts: 50

PostPosted: Thu May 14, 2009 7:13 pm    Post subject: pykde4-4.2.85 fails to emerge --> no kdebindings-4.2.85 ? Reply with quote

I am unable to emerge pykde4-4.2.85 because it looks
like kdebindings-4.2.85 doesn't exists.

from ftp.kde.org I am unable to find it for this version
but exists for 4.2.71 ?

What's up with that?
Back to top
View user's profile Send private message
ComaWhite
Tux's lil' helper
Tux's lil' helper


Joined: 07 Oct 2008
Posts: 125

PostPosted: Sat May 16, 2009 1:57 pm    Post subject: Reply with quote

you need to use the hard masked PyQt4 ebuild to compile PyKDE4 from trunk
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat May 16, 2009 2:38 pm    Post subject: Reply with quote

gqman69 wrote:
I am unable to emerge pykde4-4.2.85 because it looks
like kdebindings-4.2.85 doesn't exists.

from ftp.kde.org I am unable to find it for this version
but exists for 4.2.71 ?

What's up with that?


it got removed shortly after "release" because of build errors what I read

ComaWhite wrote:
you need to use the hard masked PyQt4 ebuild to compile PyKDE4 from trunk


nice - so why isn't anybody mentioning that in the kde-testing thread ?

I've been having problems since ages with the live-version :?

thanks btw

edit:

wth ? still failing:

Quote:
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart0.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
sipplasmapart3.cpp: In member function ‘void sipPlasma_Wallpaper::sipProtect_setUsingDiskCache(bool)’:
sipplasmapart3.cpp:682: error: ‘setUsingDiskCache’ is not a member of ‘Plasma::Wallpaper’
sipplasmapart3.cpp: In function ‘PyObject* meth_Plasma_Wallpaper_isUsingDiskCache(PyObject*, PyObject*)’:
sipplasmapart3.cpp:1543: error: ‘class Plasma::Wallpaper’ has no member named ‘isUsingDiskCache’
[ 83%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart1.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart1.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart1.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
make[2]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart3.o] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 84%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart2.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart2.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart2.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
[ 85%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart3.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart3.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart3.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999/python/pykde4/sip/solid/predicate.sip: In function ‘PyObject* convertFrom_QSet_0500Solid_DeviceInterface_Type(void*, PyObject*)’:
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999/python/pykde4/sip/solid/predicate.sip:95: warning: suggest explicit braces to avoid ambiguous ‘else’
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999/python/pykde4/sip/solid/powermanagement.sip: In function ‘PyObject* convertFrom_QSet_0500Solid_PowerManagement_SleepState(void*, PyObject*)’:
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999/python/pykde4/sip/solid/powermanagement.sip:82: warning: suggest explicit braces to avoid ambiguous ‘else’
[ 86%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart4.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart4.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart4.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
[ 86%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart5.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart5.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart5.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
[ 87%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart6.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart6.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart6.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
[ 88%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_solid.dir/sip/solid/sipsolidpart7.o
In file included from /usr/include/python2.6/Python.h:8,
from /usr/include/python2.6/sip.h:28,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipAPIsolid.h:11,
from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart7.cpp:7:
/usr/include/python2.6/pyconfig.h:1064:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/python/pykde4/sip/solid/sipsolidpart7.cpp:7:
sipAPIsolid.h:2081:1: warning: "sipType_QList_27000600QPair_0100QString_0100QString" redefined
sipAPIsolid.h:1815:1: warning: this is the location of the previous definition
sipAPIsolid.h:2087:1: warning: "sipType_QList_27000600QPair_0100QByteArray_0100QByteArray" redefined
sipAPIsolid.h:1813:1: warning: this is the location of the previous definition
Linking CXX shared library ../../lib/pykde/solid.so
[ 88%] Built target python_module_PyKDE4_solid
make: *** [all] Error 2
*
* ERROR: kde-base/pykde4-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 4121: Called kde4-meta_src_compile
* environment, line 3070: Called kde4-base_src_compile
* environment, line 2790: Called cmake-utils_src_compile
* environment, line 1124: Called cmake-utils_src_make
* environment, line 1203: Called die
* The specific snippet of code:
* emake "$@" || die "Make failed!";
* The die message:
* Make failed!


so using latest sip and PyQt4 doesn't really solves it :(

@gqman69:

perhaps doing some voodoo with package.provided and using an earlier version of pykde4 works ?
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gqman69
n00b
n00b


Joined: 11 Jul 2007
Posts: 50

PostPosted: Sat May 16, 2009 10:37 pm    Post subject: Reply with quote

Yep I am unable to compile pykde4
after using the hard masked PyQt4 and sip.

I am unable to compile pykde4 even if I provide the kdebindings found under the 4.2.85 branch.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun May 17, 2009 5:26 pm    Post subject: Reply with quote

ComaWhite wrote:
you need to use the hard masked PyQt4 ebuild to compile PyKDE4 from trunk


ComaWhite, when did you (successfully) emerged those packages ?

thanks

edit:

amazing :!:

it finally compiled and linked to the end successfully again :D

@gqman69:

maybe you want to try the svn-sets ?
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum